Page MenuHomePhabricator

[Echo] Update EchoPush\NotificationServiceClient to send APNS topics
Closed, ResolvedPublic

Description

Get the APNS topic from the eps_data blob, and if present, send it along with outgoing push notification requests.

Separate tokens by topic when available.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2020, 9:50 PM
Mholloway triaged this task as High priority.Jul 31 2020, 9:50 PM
Mholloway renamed this task from [Echo] Update NotificationServiceClient to send APNS topics to [Echo] Update EchoPush\NotificationServiceClient to send APNS topics.Jul 31 2020, 9:53 PM
MSantos claimed this task.Aug 3 2020, 12:15 PM
MSantos moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.
MSantos updated the task description. (Show Details)Aug 3 2020, 1:50 PM

Change 618128 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/Echo@master] WIP: send apns topic when present

https://gerrit.wikimedia.org/r/618128

Change 618128 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] push: send apns topic when present

https://gerrit.wikimedia.org/r/618128

MSantos closed this task as Resolved.Aug 26 2020, 8:19 AM